Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.addon.pdf3d.ModelNode Class Reference
Inheritance diagram for foxit.addon.pdf3d.ModelNode:

## Public Types
enum | PDF3DModelNodeType { PDF3DModelNodeType.e_TypeModelRoot = 0, PDF3DModelNodeType.e_TypeGroup = 1, PDF3DModelNodeType.e_TypeMesh = 2, PDF3DModelNodeType.e_TypeSprite = 3, PDF3DModelNodeType.e_TypeMarkup = 4, PDF3DModelNodeType.e_TypePunctualLight = 5, PDF3DModelNodeType.e_TypeAmbientLight = 6, PDF3DModelNodeType.e_TypeViewCamera = 7, PDF3DModelNodeType.e_TypeClippingPlane = 8, PDF3DModelNodeType.e_TypeProcedural = 9, PDF3DModelNodeType.e_TypeBone = 10, PDF3DModelNodeType.e_TypeDummy = 11 }
| Enumeration for the 3D model node type. More...

## Public Member Functions
| ModelNode ()
| Constructor.
| ModelNode (ModelNode other)
| Constructor, with another model node object. More...
ModelNode | GetFirstChildNode ()
| Get the first child node of current node. More...
string | GetName ()
| Get the name of current node. More...
ModelNode | GetNextSiblingNode ()
| Get the next sibling node of current node. More...
ModelNode.PDF3DModelNodeType | GetNodeType ()
| Get the type of the node. More...
ModelNode | GetParentNode ()
| Get the parent node of current node. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
bool | IsVisible ()
| Check whether current node is visible or not. More...
void | SetVisible (bool is_visible)
| Set the visibility of current node. More...

## Detailed Description

This class represents a node in the 3D model tree structure.

See also
  PDF3DAnnotInstance

## Member Enumeration Documentation

## ◆ PDF3DModelNodeType

enum foxit.addon.pdf3d.ModelNode.PDF3DModelNodeType
| strong

Enumeration for the 3D model node type.

Values of this enumeration should be used alone.

Enumerator
e_TypeModelRoot | Model root.
e_TypeGroup | Group.
e_TypeMesh | Mesh.
e_TypeSprite | Sprite.
e_TypeMarkup | Markup.
e_TypePunctualLight | Punctual light.
e_TypeAmbientLight | Ambient light.
e_TypeViewCamera | View camera.
e_TypeClippingPlane | Clipping plane.
e_TypeProcedural | Procedural.
e_TypeBone | Bone.
e_TypeDummy | Dummy.

## Constructor & Destructor Documentation

## ◆ ModelNode()

foxit.addon.pdf3d.ModelNode.ModelNode | ( | ModelNode | other | ) |
| inline

Constructor, with another model node object.

Parameters

  [in] | other | Another model node object.

## Member Function Documentation

## ◆ GetFirstChildNode()

ModelNode foxit.addon.pdf3d.ModelNode.GetFirstChildNode | ( |  | ) |
| inline

Get the first child node of current node.

Returns
  The first child node of current node. If there is no child node, an empty object will be returned.

## ◆ GetName()

string foxit.addon.pdf3d.ModelNode.GetName | ( |  | ) |
| inline

Get the name of current node.

Returns
  The name of current node.

## ◆ GetNextSiblingNode()

ModelNode foxit.addon.pdf3d.ModelNode.GetNextSiblingNode | ( |  | ) |
| inline

Get the next sibling node of current node.

Returns
  The next sibling node of current node. If there is no next sibling node, an empty object will be returned.

## ◆ GetNodeType()

ModelNode.PDF3DModelNodeType foxit.addon.pdf3d.ModelNode.GetNodeType | ( |  | ) |
| inline

Get the type of the node.

Returns
  The type of the node. Please refer to values starting from foxit.addon.pdf3d.ModelNode.PDF3DModelNodeType.e_TypeModelRoot and this will be one of these values.

## ◆ GetParentNode()

ModelNode foxit.addon.pdf3d.ModelNode.GetParentNode | ( |  | ) |
| inline

Get the parent node of current node.

Returns
  The parent node of current node. If there is no parent node, an empty object will be returned.

## ◆ IsEmpty()

bool foxit.addon.pdf3d.ModelNode.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ IsVisible()

bool foxit.addon.pdf3d.ModelNode.IsVisible | ( |  | ) |
| inline

Check whether current node is visible or not.

Returns
  true means current node is visible, while false means invisible.

## ◆ SetVisible()

void foxit.addon.pdf3d.ModelNode.SetVisible | ( | bool | is_visible | ) |
| inline

Set the visibility of current node.

Parameters

  [in] | is_visible | A boolean value used to set the visibility of current node. true means visible, while false means invisible.

Returns
  None.